#include <bits/stdc++.h>

/* O(log^2 N) with small constant per query */

using namespace std;

void add(int i, int val, vector<int>& t) {
	while(i < t.size()) {
		t[i] += val;
		i |= i + 1;
	}
}

int get(int i, vector<int>& t) {
	int res = 0;
	while(i >= 0) {
		res += t[i];
		i &= i + 1;
		i --;
	}
	return res;
}

int get(int l, int r, vector<int>& t) {
	return get(r, t) - get(l - 1, t);
}

int main(int argc, char *argv[]) {
	int n, m;
	cin >> n >> m;
	--m;
	vector<int> p(n);
	vector<int> t(2 * n, 0);
	for (int i = 0; i < 2 * n; ++i) {
		add(i, 1, t);
	}
	int idx = 0;
	for (int i = n; i > 0; --i) {
		int j = m % i;
		int l = -1;
		int r = 2 * n - 1;
		while (l != r) {
			int s = (l + r + 1) / 2;
			if (get(idx, s, t) <= j)
				l = s;
			else
				r = s - 1;
		}
		l %= n;
		idx = (l + 1) % n;
		add(idx, -1, t);
		add(idx + n, -1, t);
	}
	cout << idx + 1 << endl;
	return 0;
}
