#include <bits/stdc++.h>
#define upn(x, init, n) for (int x = init; x <= n; ++x)

/* O(sqrt(N)) with small constant per query */

using namespace std;

const int max_S = 3000; // 100 blocks with 3000 persons
vector<int> v[505];
int N, M, partidx, sqidx, add, curN, max_V;

void next_partidx() {
    ++partidx;
    if (partidx > max_V)
        partidx = 0;
}
void next_sqidx() {
    ++sqidx;
    if (sqidx > v[partidx].size() - 1) {
        next_partidx();
        sqidx = 0;
    }
}
int main() {
    cin.sync_with_stdio(0);   cin.tie(0);
    cin >> N >> M;

    upn(i, 1, N) {
        upn(j, i, i + max_S) {
            if (j > N)
                break;

            v[partidx].push_back(j);
        }
        i += max_S;
        ++partidx;
    }
    max_V = partidx;

    curN = N;
    partidx = 0;
    sqidx = 0;
    add = 0;
    upn(i, 1, N) {
    	add = M % curN;
    	if (!add) {
            add = curN;
    	}

    	if (v[partidx].size() < sqidx + add) {
            add -= (v[partidx].size() - sqidx);
            sqidx = 0;
            next_partidx();
    	} else {
    	    sqidx += add;
            add = 0;
    	}

    	while (v[partidx].size() < add) {
            add -= v[partidx].size();
            next_partidx();
        }
        sqidx += add - 1;
        if (i == N)
            break;

    	v[partidx].erase( v[partidx].begin() + sqidx );
    	if (v[partidx].size() - 1 < sqidx) {
            sqidx = 0;
            next_partidx();
    	}
    	--curN;
    }
    cout << v[partidx][0] << '\n';
}
